#define snapshot	140410
%define hash		1555300
%define rel		5

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		qucs
Summary:	Quite Universal Circuit Simulator
Version:	0.0.18
Release:	%mkrel %{?snapshot:0.git%snapshot.}%{rel}
License:	GPLv2+
Group:		Sciences/Other
URL:		http://qucs.sourceforge.net/
Source0:	http://download.sourceforge.net/qucs/qucs-%{version}%{?snapshot:.%snapshot-git-%hash}.tar.gz
Patch0:		qucs-0.0.18-grep-2.23.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	qt4-devel
Requires:	freehdl
Requires:	freehdl-devel
Requires:	iverilog
Requires:	libtool
Requires:	asco

%description
Qucs is a circuit simulator with graphical user interface.  The
software aims to support all kinds of circuit simulation types,
e.g. DC, AC, S-parameter and harmonic balance analysis.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q -n %{name}-%{version}%{?snapshot:.%snapshot}
%autopatch -p1

%build
%configure2_5x \
	--disable-asco
%make

%install
%makeinstall_std

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install \
	--set-icon %{name} \
	--dir %{buildroot}%{_datadir}/applications/ \
		debian/qucs.desktop

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}*
%{_bindir}/ps2sp
%{_bindir}/adms*
%{_mandir}/man?/adms*
%{_mandir}/man?/%{name}*
%{_mandir}/man?/ps2sp*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/qucs.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/qucs-core/
%{_libdir}/lib%{name}.so


%changelog
* Sat Feb 27 2016 luigiwalser <luigiwalser> 0.0.18-5.mga6
+ Revision: 979769
- add patch to fix build with grep 2.23

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 13 2014 wally <wally> 0.0.18-4.mga5
+ Revision: 796745
- remove nonexistent xpm icon

* Wed Oct 15 2014 umeabot <umeabot> 0.0.18-3.mga5
+ Revision: 740711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.18-2.mga5
+ Revision: 688579
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 wally <wally> 0.0.18-1.mga5
+ Revision: 671581
- new version 0.0.18
- drop unneeded patches
- add lib and devel pkgs

* Fri May 09 2014 wally <wally> 0.0.17-3.mga5
+ Revision: 621615
- require freehdl-devel and libtool

* Sun Mar 02 2014 wally <wally> 0.0.17-2.mga5
+ Revision: 598539
- add patch to use system asco
- use %%make in %%build section

* Sun Mar 02 2014 wally <wally> 0.0.17-1.mga5
+ Revision: 598527
- imported package qucs

